
// よく使う関数をまとめたjsファイルをインポート
// ext直下ではないjsファイルはimportFileでロードし使用することができる
importFile("lib/utils.js");

customizeMenu();

/**
* メニューをカスタマイズします。
*/
function customizeMenu()
{
    var menu = window.menu;

    var versionMenuItem = getVersionMenuItem();
    if(versionMenuItem == null) {
        alert("メニュー構成の探索に失敗しました。");
        return;
    }
    var comp = menu.createMenuItem("ヘルプ", showHelp);
    comp.icon = "jp/carabiner/tarp/desktop/icons/help.png";
    comp.tooltips = "使い方を表示します。";
    menu.help.insertBefore(comp, versionMenuItem);
}

/**
* ヘルプを表示します。
* @param ev イベント。
*/
function showHelp(ev)
{
    open("help/index.html");
}
